Mailinglist Archive: opensuse-buildservice (117 mails)

< Previous Next >
[opensuse-buildservice] Newer compilers for older versions of RHEL (etc.)
Hi,

Our ongoing thanks for OBS.

We're looking at adding some C++11 features to the code we build and ship
on OBS, but of course RHEL/CentOS 5 & 6 have compilers that are just too
old to support these. If we have to, we'll drop these platforms (I have no
idea how much usage they get), but if possible I'd like to continue
supporting them.

Does anyone have any ideas for how to get a newer compiler into the build?

I followed simotek's suggestion from SuperUser[1] and branched the gcc47
package into my own project, but I just couldn't convince it to build
properly on RHEL 5/6 due to unresolvable dependencies[2], possibly because
of the different structure of openSUSE's base system.

Ideally we could just pull the packages from
http://people.centos.org/tru/devtools-2/devtools-2.repo but I understand
that might be hard to make work.

Thanks

David Adam
zanchey@xxxxxxxxxxxxxxxxx

[1]:
http://superuser.com/questions/737984/using-gcc-4-8-with-obs-opensuse-build-service
[2]: https://build.opensuse.org/package/show/home:Zanchey/gcc47
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups